Subject: Re: [BUG -next] ./usr/include/cxl/features.h:11:10: fatal error: uuid/uuid.h: No such file or directory

From: "Paul E. McKenney" <[email-masked]>
Date: Fri, 28 Mar 2025 14:57:59 -0700

On Fri, Mar 28, 2025 at 02:22:21PM -0700, Dave Jiang wrote:
> 
> 
> On 3/28/25 1:45 PM, Paul E. McKenney wrote:
> > On Fri, Mar 28, 2025 at 01:03:19PM -0700, Dave Jiang wrote:
> >>
> >>
> >> On 3/28/25 10:39 AM, Paul E. McKenney wrote:
> >>> Hello!
> >>>
> >>> In next-20250328 and next-20250327, allmodconfig builds get me:
> >>>
> >>> ./usr/include/cxl/features.h:11:10: fatal error: uuid/uuid.h: No such file or directory
> >>>
> >>> This file is apparently auto-generated, because when I change the #include
> >>> to the more likely linux/uuid.h, my changes are overwritten by the build.
> >>>
> >>> Gregory Price noted that something similar has happened recently and been fixed:
> >>>
> >>> https://lore.kernel.org/all/[email-masked]/
> >>>
> >>> Perhaps someone unfixed it?
> >>>
> >>> 								Thanx, Paul
> >>
> >>
> >> I can't get the powerpc cross build to build to reproduce the issue from next-20250328. Does the change below address the issue for you?
> >>
> >> ---
> >> diff --git a/include/uapi/cxl/features.h b/include/uapi/cxl/features.h
> >> index d6db8984889f..691eeda9c892 100644
> >> --- a/include/uapi/cxl/features.h
> >> +++ b/include/uapi/cxl/features.h
> >> @@ -8,11 +8,7 @@
> >>  #define _UAPI_CXL_FEATURES_H_
> >>  
> >>  #include <linux/types.h>
> >> -#ifndef __KERNEL__
> >> -#include <uuid/uuid.h>
> >> -#else
> >>  #include <linux/uuid.h>
> >> -#endif
> >>  
> >>  /*
> >>   * struct cxl_mbox_get_sup_feats_in - Get Supported Features input
> > 
> > Thank you, Dave!
> > 
> > Please note that I am reproducing this not on powerpc, but instead on
> > x86 with a simple allmodconfig build.
> > 
> > Making the above change got me this:
> > 
> > usr/include/cxl/features.h:59:9: error: unknown type name ‘uuid_t’
> 
> I wasn't able to hit that with allmodconfig on x86 with a Fedora 41 build setup. What is the specific command lines you are using?

make clean
make allmodconfig
make -j$N

Though encapsulated as follows:

tools/testing/selftests/rcutorture/bin/torture.sh --do-none --do-allmodconfig

							Thanx, Paul